package com.sky.building.controller.EnjoyLifeIntelligently;

import com.sky.building.service.EnjoyLifeIntelligently.HealthCabinService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * TODO
 *
 * @Description
 * @Author LunCe
 * @Date 2023/2/10 17:32
 **/

@Api("健康小屋")
@Slf4j
@RestController
@RequestMapping("health_cabin")
public class HealthCabinController {

    @Autowired
    private HealthCabinService healthCabinService;

    @ApiOperation("查询智慧生活中健康小屋的核心指标")
    @GetMapping("getCoreIndicators")
    public String  getCoreIndicators(Integer dateType){
//        dateType   1.周，2.月，3.年
        return healthCabinService.getCoreIndicators(dateType);
    }



    @ApiOperation("查询智慧生活中健康小屋的小屋分析")
    @GetMapping("getHutAnalysis")
    public String  getHutAnalysis(Integer dateType){
//        dateType   1.周，2.月，3.年
        return healthCabinService.getHutAnalysis(dateType);
    }



    @ApiOperation("查询智慧生活中健康小屋的环境监测")
    @GetMapping("getEnvironmentalDetection")
    public String  getEnvironmentalDetection(Integer dateType){
//        dateType   1.周，2.月，3.年
        return healthCabinService.getEnvironmentalDetection(dateType);
    }









}
