package com.sky.building.controller.EnjoyLifeIntelligently;

import com.sky.building.service.EnjoyLifeIntelligently.ParkingService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * TODO 智能生活 ---- 智慧停车
 * @Description
 * @Author LunCe
 * @Date 2023/2/10 13:27
 **/


@Api("智慧餐厅")
@Slf4j
@RestController
@RequestMapping("restaurant")
public class ParkingController {




    @Autowired
    private ParkingService parkingService;


    @ApiOperation("查询智慧生活中智慧停车的核心指标")
    @GetMapping("getCoreIndicators")
    public String  getCoreIndicators(Integer dateType){
//        dateType   1.周，2.月，3.年
        return parkingService.getCoreIndicators(dateType);
    }


    @ApiOperation("查询智慧生活中智慧停车的车流态势")
    @GetMapping("getTrafficflowSituation")
    public String  getTrafficflowSituation(Integer dateType){
//        dateType   1.周，2.月，3.年
        return parkingService.getTrafficflowSituation(dateType);
    }


    @ApiOperation("查询智慧生活中智慧停车的空置车位")
    @GetMapping("getTrafficflowSituation")
    public String  getVacantParkingSpace(Integer dateType){
//        dateType   1.周，2.月，3.年
        return parkingService.getVacantParkingSpace(dateType);
    }



    @ApiOperation("查询智慧生活中智慧停车的车位详情")
    @GetMapping("getParkingSpaceDetails")
    public String  getParkingSpaceDetails(Integer dateType){
//        dateType   1.周，2.月，3.年
        return parkingService.getParkingSpaceDetails(dateType);
    }


    @ApiOperation("查询智慧生活中智慧停车的违停情况")
    @GetMapping("getStopViolation")
    public String  getStopViolation(Integer dateType){
//        dateType   1.周，2.月，3.年
        return parkingService.getStopViolation(dateType);
    }



    @ApiOperation("查询智慧生活中智慧停车的占用车位数量")
    @GetMapping("getOccupationOfParkingSpace")
    public String  getOccupationOfParkingSpace(Integer dateType){
//        dateType   1.周，2.月，3.年
        return parkingService.getOccupationOfParkingSpace(dateType);
    }




}
