package com.sky.building.controller.EnjoyLifeIntelligently;

import com.sky.building.service.EnjoyLifeIntelligently.RestaurantService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author LunCe
 * 智慧餐厅
 */

@Api("智慧餐厅")
@Slf4j
@RestController
@RequestMapping("/restaurant")
public class RestaurantController {


    @Autowired
    private RestaurantService restaurantService;



    @ApiOperation("查询智慧生活中智慧餐厅的核心指标")
    @GetMapping("getCoreIndicators")
    public String  getCoreIndicators(Integer dateType){
//        dateType   1.周，2.月，3.年
        return restaurantService.getCoreIndicators(dateType);
    }

    @ApiOperation("查询智慧生活中智慧餐厅的用餐分析")
    @GetMapping("getMealAnalysis")
    public String  getMealAnalysis(Integer dateType){
        return restaurantService.getMealAnalysis(dateType);
    }


    @ApiOperation("查询智慧生活中智慧餐厅的欢迎菜品")
    @GetMapping("getWelcomeDishes")
    public String  getWelcomeDishes(Integer dateType){
        return restaurantService.getWelcomeDishes(dateType);
    }


    @ApiOperation("查询智慧生活中智慧餐厅的消费分析")
    @GetMapping("getConsumptionAnalysis")
    public String  getConsumptionAnalysis(Integer dateType){
        return restaurantService.getConsumptionAnalysis(dateType);
    }

    @ApiOperation("查询智慧生活中智慧餐厅的盈利分析")
    @GetMapping("getProfitAnalysis")
    public String  getProfitAnalysis(Integer dateType){
        return restaurantService.getProfitAnalysis(dateType);
    }


    /**
     * TODO  查询智慧生活中智慧餐厅的支付分析
     * @Description
     * @Param dateType
     * @Return java.lang.String
     * @Author LunCe
     * @date 2023/2/10 11:25
     */
    @ApiOperation("查询智慧生活中智慧餐厅的支付分析")
    @GetMapping("getPaymentAnalysis")
    public String  getPaymentAnalysis(Integer dateType){
        return restaurantService.getPaymentAnalysis(dateType);
    }


    @ApiOperation("查询智慧生活中智慧餐厅的今日菜谱")
    @GetMapping("getTodayMenu")
    public String  getTodayMenu(){
        return restaurantService.getTodayMenu();
    }




}
