package com.sky.building.controller.EnjoyLifeIntelligently;

import com.sky.building.service.EnjoyLifeIntelligently.SupermarketService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * TODO 无人超市
 * @Description
 * @Author LunCe
 * @Date 2023/2/10 14:17
 **/


@Api("无人超市")
@Slf4j
@RestController
@RequestMapping("/supermarket")
public class SupermarketController {


    @Autowired
    private SupermarketService supermarketService;


    @ApiOperation("查询智慧生活中无人超市的核心指标")
    @GetMapping("getCoreIndicators")
    public String  getCoreIndicators(Integer dateType){
//        dateType   1.周，2.月，3.年
        return supermarketService.getCoreIndicators(dateType);
    }



    @ApiOperation("查询智慧生活中无人超市的商超分析")
    @GetMapping("getQuotientAnalysiss")
    public String  getQuotientAnalysiss(Integer dateType){
//        dateType   1.周，2.月，3.年
        return supermarketService.getQuotientAnalysiss(dateType);
    }


    @ApiOperation("查询智慧生活中无人超市的商品排行")
    @GetMapping("getProductRanking")
    public String  getProductRanking(Integer dateType){
//        dateType   1.周，2.月，3.年
        return supermarketService.getProductRanking(dateType);
    }















}
