package com.sky.building.controller.SmartSignage;

import com.sky.building.service.SmartSignage.SmartSignageService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author LunCe
 * 智慧楼宇 ------智能看板
 */

@Api("智慧楼宇 ------智能看板")
@Slf4j
@RestController
@RequestMapping("signage")
public class SmartSignageController {



    @Autowired
    private SmartSignageService smartSignageService;


    /**
     *
     * 楼宇模块
     * */

    @ApiOperation("智能看板-楼宇态势")
    @GetMapping("getBuildingSituation")
    public String getBuildingSituation(){
        return smartSignageService.getBuildingSituation();
    }



    /**
     *
     * 碳配额
     * */
    @ApiOperation("智能看板-碳配额")
    @GetMapping("getCarbonQuota")
    public String getCarbonQuota(){
        return smartSignageService.getCarbonQuota();
    }


}
